player_simulation_pose2d_req Struct Reference

Request/reply: get/set 2D pose of a named simulation object. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | name_count
| Length of name.
char * | name
| the identifier of the object we want to locate
player_pose2d_t | pose
| the desired pose in (m, m, rad)

## Detailed Description

Request/reply: get/set 2D pose of a named simulation object.

To retrieve the pose of an object in a simulator, send a null PLAYER_SIMULATION_REQ_GET_POSE2D request. To set the pose of an object in a simulator, send a PLAYER_SIMULATION_REQ_SET_POSE2D request (response will be null).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45